## ros-rolling-vitis-common 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vitis_common)

# NOTE, see the following resources to build a headers-only ROS 2 library
#  - https://docs.ros.org/en/foxy/Guides/Ament-CMake-Documentation.html#building-a-library
#  - https://github.com/gleichdick/ros2_header_only_lib
#  - https://dominikberner.ch/cmake-interface-lib/

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_vitis REQUIRED)

if (ROS_VITIS)
  find_package(OpenCL REQUIRED)

  ##################################
  # vitis_common header-only library
  ##################################
  add_library(${PROJECT_NAME}_header INTERFACE)
  target_include_directories(${PROJECT_NAME}_header INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:include>"
  )
  target_link_libraries(${PROJECT_NAME}_header INTERFACE)


  ##################################
  # vitis_common library
  ##################################
  add_library(${PROJECT_NAME} SHARED
    src/utilities.cpp
  )
  target_include_directories(${PROJECT_NAME} PRIVATE
      include/
      # "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
      # "$<INSTALL_INTERFACE:include>"
  )
  target_link_libraries(${PROJECT_NAME} ${OpenCL_LIBRARY})
  # ament_target_dependencies(${PROJECT_NAME}
  #   ${PROJECT_NAME}
  # )

  install(TARGETS ${PROJECT_NAME}_header ${PROJECT_NAME}
    EXPORT "export_${PROJECT_NAME}"
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib
    INCLUDES DESTINATION include
  )

  install(
        DIRECTORY include/
        DESTINATION include/${PROJECT_NAME}
  )

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_export_targets("export_${PROJECT_NAME}")
  # ament_export_dependencies(some_dependency)
endif()  # ROS_VITIS

ament_package()

=== debian/changelog ===
ros-rolling-vitis-common (0.4.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Wed, 22 Mar 2023 07:31:54 -0000

ros-rolling-vitis-common (0.4.0-2jammy) jammy; urgency=high

  * Release 0.4.0
  * cpplint and cppcheck utilities and OpenCL header
  * Add OpenCL dependencies
  * Add license file
  * Add author's e-mail tag

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Thu, 24 Mar 2022 07:00:00 -0000

ros-rolling-vitis-common (0.3.0-2jammy) jammy; urgency=high

  * Release 0.3.0
  * Finalize port of package to Vitis 2021.2
  * Checkpoint while porting things to 2021.1

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Thu, 24 Mar 2022 07:00:00 -0000

ros-rolling-vitis-common (0.2.0-2jammy) jammy; urgency=high

  * Release 0.2.0
  * Add common utilities, include OpenCL

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Tue, 15 Feb 2022 08:00:00 -0000

ros-rolling-vitis-common (0.1.0-2jammy) jammy; urgency=high

  * Initial version

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Tue, 14 Sep 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-vitis-common
Section: misc
Priority: optional
Maintainer: Víctor Mayoral-Vilches <victor@accelerationrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ocl-icd-opencl-dev, opencl-headers, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ament-vitis, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-vitis-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Common code for working with Vitis™ Unified Software Platform in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-vitis-common//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
